[script]
n0=on $*:snotice:/Client\sconnecting/:{ if $hfind(lamer,$9,0,W) { .kline $9 :KalbimNET Guvenlik Sistemi | msg #halfoper $9 Lamer listesinde oldugundan sunucudan uzaklastirildi. } 
n1=
n2=}
n3=on $*:text:/^[.!]lamer/i:#Güvenlik,#halfoper:{
n4=  if !$2 || !$3 && !$regex($2,/(l[iİı]st)$/i)  || !$regex($2,/(ekle|s[iİı]l|l[iİı]st)$/i) { msg # hata mesajı | return }
n5=  elseif $regex($2,/ekle$/i) { 
n6=    if $hfind(lamer,$3,0,W) { msg # Eklemek istediğiniz nick lamer listesinde zaten var! Silmek için: !lamer sil $hmatch(lamer,$strip($3),1).item | return }
n7=    .hadd -m lamer $strip($3)
n8=    .hsave -o lamer lamer.liste
n9=    .msg # $3 nicki lamer listesine eklenmiştir.
n10=    .kline $3 :KalbimNET Guvenlik Sistemi 
n11=  }
n12=  elseif $regex($2,/s[iİı]l$/i) { 
n13=    if !$hfind(lamer,$3,0,W) { msg # Eklemek istediğiniz nick lamer listesinde yok! | return }
n14=    .hdel -m lamer $strip($3)
n15=    .hsave -o lamer lamer.liste
n16=    .msg # $3 nicki lamer listesinden silinmiştir.
n17=  }
n18=  elseif $regex($2,/l[iİı]st$/i) { 
n19=    if !$hget(lamer,0).item { msg # Lamer olarak eklenmiş nick yok! | return }
n20=    msg # $+(«,$c(5,Lamer Nick Listesi),»)
n21=    var %m-k 1 | while (%m-k <= $hget(lamer,0).item) { msg # $hget(lamer,%m-k).item | inc %m-k  }
n22=    msg # $+(«,$c(5,Lamer Nick Listesi Sonu),»)
n23=    msg # Herhangi bir kaydı silmek için örnek kullanım: $c(2,!lamer sil nick)
n24=  }
n25=}
